#! /bin/sh
# Copyright 2017 Gigaset Communications GmbH

DAEMON="/usr/sbin/ntp_last_sync_updater.sh"
PIDFILE="/var/run/ntplastsync.pid"

log() {
	logger -t ntplastsync $@
}

startdaemon() {
	log "Starting daemon"
	start-stop-daemon -m -p $PIDFILE -c root:ntp -b --start -x $DAEMON
	log "Done"
}

stopdaemon() {
	log "Stopping daemon"
	start-stop-daemon --stop -p $PIDFILE
	rm $PIDFILE
	log "Done"
}

case "$1" in
	start)
		startdaemon
		;;
	stop)
		stopdaemon
		;;
	restart)
		stopdaemon
		startdaemon
		;;
	*)
	echo "Usage: ntpd { start | stop | restart }" >&2
	exit 1
	;;
esac

exit 0
